postscript("paperFig01.eps",onefile=FALSE,paper="special",
           pointsize=10,
           width=6,height=6,bg="white",title="Fig01",hor=FALSE)

source("malm.DDL.r")
par(lwd=1.5)

go=function(ic,invade.index,invade.abundance=1000){
  x = ayr.bydv(0:30,ayp,ic)
  
  ic = x[,1]==30.0
  ic = x[ic,2:7]
  ic[invade.index] = invade.abundance
  ic = as.vector(unlist(ic))
  ic = round(ic,6)
  
  y = ayr.bydv(31:100,ayp,ic)
  
  z = rbind(x,y)
  z = data.frame(z)
  names(z) = c("time","Ps","Pi","ps","pi","as","ai")
  m = (z$time) %% 1
  b = m > 0.199 ## < 1e-3
  m = m < (0.2 + 1e-3)
  m = b & m
  y = z[m,]
  ## y = z 
  y[,2:7] = 1*y[,2:7]

  plot(y$time,y$Ps,col=2,lwd=3,
       xlab = "", ylab="",axes=F,
       log="y", ylim=c(1e-1,5e5), ## ylim=c(0,80),
       type="l")
  lines(y$time,y$Pi,col=2,lwd=3,lty="33")
  
  lines(y$time,y$ps,col=1,lwd=3)
  
  lines(y$time,y$as,col=3,lwd=3)
  lines(y$time,y$ai,col=3,lwd=3,lty="33")
  
  lines(y$time,y$pi,col=1,lwd=3,lty="22")
  invisible(list(full=z,end=y))
}

ayp = list(bp = 45.0, ba = 250.0,
  sigmaPs = 0.88, sigmaPi = 0.77, phi=1.0,
  epsilon = 0.5, gamma = 0.11, gs = 0:40/100)

wiyp = c(BetaP=0.02, BetaA=0.04, lambda=1.5,
  mu.a=1.0,mu.p=0.5,
  alpha.pp=1.3e-3, alpha.pa=6.8e-4, alpha.pP=0.7,
  alpha.aa=1.1e-3, alpha.ap=3.4e-7, alpha.aP=0.7,
  rho.p=0.50,rho.a=0.11, v.int = 0.0)

skip=function(text="") {
  par(mai=rep(0,4)) ##, family="serif")
  if(nchar(text)>1) {
    plot(0:10,0:10,type="n",axes=F,xlab="",ylab="")
    text(5,5,text,adj=c(0.5,0.5),cex=3)
  } else frame()
  par(mai=rep(0.2,4)) ## ,family="sans")
}
ya = function()
  axis(2,c(1e-1,1e2,1e5),
       c(expression(10^-1),expression(10^2),expression(10^5)),las=2)

layout( matrix(1:25, nrow=5, byrow=T),
       widths = c( 1.2,rep(5,4) ),
       heights = c( rep(5,4),1.2 ) )

palette(c("gray50","gray72","black"))
##palette(c( rgb(0.072,0.72,0.72),rgb(0.05,0.5,0.05),rgb(0,0,0)))

Ps =1;  Pi = 2; ps = 3; pi = 4; as = 5; ai =6;

## First Row
## yaxis
skip()

## Ps invaded by Ps.
skip(expression(P[s]))
  
## Ps invaded by as
ic = c(16,0, 8, 0, 0, 0)
go(ic,as)
box()
axis(1,0:2*50)
ya()
text(95,1e5,"a")

## Ps invaded by pi
ic = c(16,0, 8, 0, 0, 0)
go(ic,Pi,10)
box()
axis(1,0:2*50)
ya()
text(95,1e5,"b")

## Ps invaded by ai
ic = c(16,0, 8, 0, 0, 0)
go(ic,ai)
box()
axis(1,0:2*50)
ya()
text(95,1e5,"c")

## Second Row
## yaxis
skip()

## as invaded by Ps.
ic = c(0,0, 0,0, 16, 0)
go(ic,Ps,10)
box()
axis(1,0:2*50)
ya()
text(95,1e5,"d")
  
## as invaded by as
skip(expression(a[s]))

## as invaded by pi
ic = c(0,0, 0,0, 16, 0)
go(ic,Pi,10)
box()
axis(1,0:2*50)
ya()
text(95,1e5,"e")

## as invaded by ai
ic = c(0,0, 0,0, 16, 0)
asai = go(ic,ai,100)
box()
axis(1,0:2*50) 
ya() 
text(95,1e5,"f")

## Third Row
## yaxis
skip()

## pi invaded by Ps.
skip()

## pi invaded by as
ic = c(10,6, 4,4, 0, 0)
go(ic,as)
box()
axis(1,0:2*50) 
ya() 
text(95,1e5,"g")

## Pi invaded by Pi
skip(expression(P[i]))

## pi invaded by ai
ic = c(10,6, 4,4, 0, 0)
go(ic,as)
box()
axis(1,0:2*50)
ya() 
text(95,1e5,"h")


## Fourth & Last Row
## yaxis
skip()

## ai invaded by Ps.
ic = c(0,0, 0,0, 5,5)
go(ic,Ps,10)
box()
axis(1,0:2*50)
ya()
text(95,1e5,"i")

## ai invaded by as
skip()  

## ai invaded by pi
ic = c(0,0, 0,0, 5,5)
go(ic,Pi,10)
box()
axis(1,0:2*50)
ya()
text(95,1e5,"j")

## ai invaded by ai
skip(expression(a[i]))

par(mfrow=c(1,1),mai=rep(0.5,4))
mtext("Time in Years",1,1.1,cex=1)
mtext("Abdunace (Log Scale)",2,1.5,cex=1)

